Subject: Isearch hit count
From: [email-masked] (Charles A. Roelli)
To: [email-masked]
Date: Thu, 16 Nov 2017 20:27:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Isearch could show in the mode line how many matches follow or precede 
the currently highlighted one (or we could write "3 of 4 matches", as, 
e.g., Firefox does).  For big files, it could be helpful to calculate 
this information either lazily or in another thread.

If we had this, it would also be convenient to say "go forward n
matches", so that typing "M-3 C-s" during a search would be the
equivalent of typing C-s three times.  To do this we could add numeric
prefix arg handling to C-s/C-r/C-M-s/C-M-r, if that isn't already
taken for some other behavior.